package com.zcloud.service.hiddenDangerCheckStandard.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.hiddenDangerCheckStandard.CustomCheckRecordItemMapper;
import com.zcloud.service.hiddenDangerCheckStandard.CustomCheckRecordItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：检查记录详情
 * 作者：luoxiaobao
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class CustomCheckRecordItemServiceImpl implements CustomCheckRecordItemService {

	@Autowired
	private CustomCheckRecordItemMapper customCheckRecordItemMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		customCheckRecordItemMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		customCheckRecordItemMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		customCheckRecordItemMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return customCheckRecordItemMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return customCheckRecordItemMapper.listAll(pd);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public List<PageData> listAllForMap(PageData pd)throws Exception{
		return customCheckRecordItemMapper.listAllForMap(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return customCheckRecordItemMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		customCheckRecordItemMapper.deleteAll(ArrayDATA_IDS);
	}

	/**改状态
	 * @param pd
	 * @throws Exception
	 */
	public void editIsnormal(PageData pd)throws Exception{
		customCheckRecordItemMapper.editIsnormal(pd);
	}

}

